
let ssid    = document.getElementById('ssid');
let key     = document.getElementById('key');
let ip      = document.getElementById('ip');
let average = document.getElementById('average');
let wave1 = document.getElementById('wave1');
let wave2 = document.getElementById('wave2');
let set1    = document.getElementById('button1');
let set2    = document.getElementById('button2');
let set3    = document.getElementById('button3');
let set4    = document.getElementById('button4');
let set5    = document.getElementById('button5');
let set6    = document.getElementById('button6');
let sensor    = document.getElementById('sensor');
let serial    = document.getElementById('serial');
let fver    = document.getElementById('fver');
let filename;
let dasoku  = "colorcompass";

set1.onclick = set1Clicked;
set2.onclick = set2Clicked;
set3.onclick = set3Clicked;
set4.onclick = set4Clicked;
set5.onclick = set5Clicked;
set6.onclick = set6Clicked;

function    dummy( data)
{

}
function set1Clicked()
{
    if( window.confirm( "set ssid="+ssid.value)){
        filename = "./data/confset1.json?s="+ssid.value+dasoku;
        fetch( filename)
        .then( response => response.json())
        .then( data => dummy( data) )
        .catch((reason) => {
            console.log( reason);
        });
    }
}

function set2Clicked()
{
    if( window.confirm( "set password ="+key.value)){
        filename = "./data/confset2.json?s="+key.value+dasoku;
        fetch( filename)
        .then( response => response.json())
        .then( data => dummy( data) )
        .catch((reason) => {
            console.log( reason);
        });
    }
}

function set3Clicked()
{
    if( window.confirm( "set ip address ="+ip.value)){
        filename = "./data/confset3.json?s="+ip.value+dasoku;
        fetch( filename)
        .then( response => response.json())
        .then( data => dummy( data) )
        .catch((reason) => {
            console.log( reason);
        });
    }
}

function set4Clicked()
{
    if( window.confirm( "set average ="+average.value)){
        filename = "./data/confset4.json?s="+average.value;
        fetch( filename)
        .then( response => response.json())
        .then( data => dummy( data) )
        .catch((reason) => {
            console.log( reason);
        });
    }
}

function set5Clicked()
{
    if( window.confirm( "set wave1="+wave1.value)){
        filename = "./data/confset5.json?s="+wave1.value;
        fetch( filename)
        .then( response => response.json())
        .then( data => dummy( data) )
        .catch((reason) => {
            console.log( reason);
        });
    }
}

function set6Clicked()
{
    if( window.confirm( "set wave2 = "+wave2.value)){
        filename = "./data/confset6.json?s="+wave2.value;
        fetch( filename)
        .then( response => response.json())
        .then( data => dummy( data) )
        .catch((reason) => {
            console.log( reason);
        });
    }
}

function disp( data)
{
    ssid.value      = data.ssid;
    key.value       = data.key;
    ip.value        = data.ip;
    average.value   = data.average;
    wave1.value     = data.wave1;
    wave2.value     = data.wave2;
    sensor.innerText  = data.sensor;
    serial.innerText  = data.serial;
    fver.innerText  = data.fver;
}

function getConfig()
{
    fetch( "./data/config.json")
    .then( response => response.json())
    .then( data => disp( data) )
    .catch((reason) => {
        console.log( reason);
    });

}

getConfig();